
From: Robert Schwebel <r.schwebel@pengutronix.de>

platform_add_devices can be used from within modules, so it should be
exported.  This can for example happen if you have hotpluggable firmware in
an FPGA on a system on chip processor; in our case the FPGA is probed for
devices and the FPGA base code registers the devices it has found with the
kernel.  

(akpm: I think this is reasonable from a licensing POV: it's unlikely that
anyone would be interested in merging such specialised modules into mainline,
and it's a GPL export).

Signed-off-by: Robert Schwebel <r.schwebel@pengutronix.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/base/platform.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/base/platform.c~export-platform_add_devices drivers/base/platform.c
--- 25/drivers/base/platform.c~export-platform_add_devices	Wed Mar 30 13:18:11 2005
+++ 25-akpm/drivers/base/platform.c	Wed Mar 30 13:18:11 2005
@@ -341,6 +341,7 @@ EXPORT_SYMBOL_GPL(dma_get_required_mask)
 
 EXPORT_SYMBOL_GPL(platform_bus);
 EXPORT_SYMBOL_GPL(platform_bus_type);
+EXPORT_SYMBOL_GPL(platform_add_devices);
 EXPORT_SYMBOL_GPL(platform_device_register);
 EXPORT_SYMBOL_GPL(platform_device_register_simple);
 EXPORT_SYMBOL_GPL(platform_device_unregister);
_
